# Generated by Django 3.2.11 on 2022-01-22 12:51

import django.utils.timezone
from django.db import migrations, models

import authentication.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('password', models.CharField(
                    max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(
                    blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False,
                                                     help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('is_staff', models.BooleanField(default=False,
                                                 help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(
                    default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(
                    default=django.utils.timezone.now, verbose_name='date joined')),
                ('user_id', models.CharField(max_length=30,
                                             primary_key=True, serialize=False, unique=True)),
                ('username', models.CharField(max_length=60, unique=True)),
                ('first_name', models.CharField(
                    max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(
                    max_length=150, verbose_name='last name')),
                ('email', models.EmailField(max_length=254,
                                            unique=True, verbose_name='email address')),
                ('business_name', models.CharField(max_length=500)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.',
                                                  related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.',
                                                            related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'ordering': ('first_name',),
            },
            managers=[
                ('objects', authentication.models.CustomUserManager()),
            ],
        ),
    ]
